<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_voice_record"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:paddingHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_record_time"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="18sp"
            app:autoSizeMaxTextSize="18sp"
            app:autoSizeMinTextSize="15sp"
            app:autoSizeTextType="uniform"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="0:03" />

        <com.adealink.weparty.commonui.widget.waveview.SoundWaveView
            android:id="@+id/v_voice_wave"
            android:layout_width="0dp"
            android:layout_height="28dp"
            android:layout_marginStart="6dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_record_time"
            app:layout_constraintTop_toTopOf="parent"
            app:barWidth="2dp"
            app:barSpacing="2dp"
            app:waveSpeed="0.6"
            tools:ignore="RtlHardcoded" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_op"
        android:layout_width="0dp"
        android:layout_height="58dp"
        android:paddingHorizontal="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_voice_record">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_cancel"
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:layout_constraintBottom_toBottomOf="@id/cl_op"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/cl_op"
            app:srcCompat="@drawable/im_session_voice_record_delete_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_pause"
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:layout_constraintBottom_toBottomOf="@id/cl_op"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/cl_op"
            app:srcCompat="@drawable/im_session_voice_record_pause_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_send"
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:layout_constraintBottom_toBottomOf="@id/cl_op"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/cl_op"
            app:srcCompat="@drawable/im_session_message_send_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>
